-- ============================================================= --
-- Toggle Trigger Marker MOD
-- This Mod assigns a button binding to the Show Trigger Marker setting, enabling Trigger markers to quickly and easily be shown or hidden
-- Default binding is "=" which can be changed in game or by adjusting the moddesc
-- ============================================================= --


ToggleTrigger = {}

ToggleTrigger.eventName = {}
ToggleTrigger.modName = g_currentModName
ToggleTrigger.modDirectory = g_currentModDirectory
ToggleTrigger.version = "1.0.0.0"


function ToggleTrigger:registerActionEvents()
	
	g_inputBinding:registerActionEvent('TOGGLE_TRIGGER', self, ToggleTrigger.KeyDown, false, true, false, true)
end

function ToggleTrigger.KeyDown()
    local trigSet = "showTriggerMarker"
	local tempValue = true
	
--	print ("key press setup ...", trigSet, tempValue)
	
	local trigSetValue = g_gameSettings:getValue(trigSet)
	
--	print ("starting setting", trigSet, trigSetValue)
	
	tempValue = not trigSetValue
	
	g_gameSettings:setValue(trigSet, tempValue)

--	print ("ending setting", trigSet, tempValue)

end

addModEventListener(ToggleTrigger)
FSBaseMission.registerActionEvents = Utils.appendedFunction(FSBaseMission.registerActionEvents, ToggleTrigger.registerActionEvents);